# 39. म्यूटेशन: चयनित "GeoMaps" के लिए कस्टम रंग स्कीमा सेट करें

डेटा परतों के लिए कस्टम रंग स्कीम सेट करें: "ZonesMaps", "SoilDatasets"।&#x20;

अन्य डेटा परतों ("YieldDataset", "TopographyMaps", "SatelliteImages") के लिए समर्थन जल्द आ रहा है।

"GeoMap" की सभी विशेषताओं को अपडेट करें:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    description
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

केवल "GeoMap" की रंग स्कीम अपडेट करें:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    description
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

**महत्वपूर्ण** म्यूटेशन का उपयोग करने के तरीके को सीखने के लिए बिंदु:

1. विशेषताएँ `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`और `shortName` सही "GeoMap" की पहचान करने के लिए अनिवार्य हैं। ये तीनों गुण मिलकर "GeoMap" की विशिष्टता दर्शाते हैं।
2. या `soilDatasetUuid` या `vectorAnalysisMapUuid` गुण प्रत्येक एकल "GeoMap" इनपुट के लिए उपयोग किया जाना चाहिए।
3. का मान `shortName` "GeoMap" में मूल के समान होना चाहिए। यह संपादनीय नहीं है।
4. विशेषताएँ `fullName`, `description`, `hexColorCodes` "ZonesMaps" के लिए संपादनीय हैं और इन्हें संशोधित किया जा सकता है। यदि गुण का उल्लेख नहीं किया गया है तो परिवर्तन लागू नहीं होंगे।
5. विशेषताएँ `fullName`, `description`, `classes`, `hexColorCodes` "SoilDatasets" के लिए संपादनीय हैं और इन्हें संशोधित किया जा सकता है। यदि गुण का उल्लेख नहीं किया गया है तो परिवर्तन लागू नहीं होंगे।
6. ऐरे `classes` और `hexColorCodes`  "GeoMap" में मूल के समान लंबाई होनी चाहिए।
7. अनुरोध और प्रतिक्रिया में "GeoMaps" ऐरे की लंबाई समान होनी चाहिए। यदि नहीं, तो कुछ "GeoMaps" सफलतापूर्वक संपादित नहीं हुए।


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/39.-geomaps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
